﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Styles;
using Steema.TeeChart;
using Steema.TeeChart.Functions;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Tools;
using System.Runtime.InteropServices;
namespace GeneralTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }
        CustomBarSize bar1, bar2, bar3;
        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
            bar1 = new CustomBarSize(tChart1.Chart);
            bar2 = new CustomBarSize(tChart1.Chart);
            bar3 = new CustomBarSize(tChart1.Chart);

            bar1.Add(1, 100, "50%", Color.Green);
            bar2.Add(2, 100, "25%", Color.Orange);
            bar3.Add(3, 100, "25%", Color.Red);

            bar1.SideMargins = false;
            bar2.SideMargins = false;
            bar3.SideMargins = false;
            bar1.SizeValues[0] = 5;
            bar2.SizeValues[0] = 0.5;
            bar3.SizeValues[0] = 0.5;
            bar1.XValues[0] = 6;
            bar2.XValues[0] = 3;
            bar3.XValues[0] = 3;
            tChart1.Axes.Bottom.Labels.Style = AxisLabelStyle.Value;
            tChart1.Axes.Bottom.SetMinMax(0, 3);
            tChart1.Axes.Bottom.Increment = 1;
            tChart1.Axes.Bottom.MinimumOffset = 1;
            tChart1.Axes.Bottom.MaximumOffset = 1;
        }
    }
}